RC_PLUGIN_HOOK(3)

NAME
rc_plugin_hook - hooks plugins into OpenRC services

LIBRARY
Run Command library (librc, -lrc)

SYNOPSIS
#include <rc.h>
int rc_plugin_hook(RC_HOOK hook, const char *name);

DESCRIPTION
rc_plugin_hook() is called for each shareable object found in /lib/rc/plugins. hook is set to the hook running, and name is set to the name of the runlevel or name of the service.

Plugins can affect the parent environment by writing NULL separated strings to rc_environ_fd.

SEE ALSO
openrc(8), openrc-run(8)

AUTHORS
Roy Marples <roy@marples.name>